<?php
@session_start();

require "autoload.php";
use Abraham\TwitterOAuth\TwitterOAuth;

// Cargamos la configuración de Twitter.
require('config.php');

$_SESSION['pagina'] = $_SERVER['REQUEST_URI'];

if (!isset($_SESSION['access_token']))
	header('location: login.php');
else
{
	// Obtenemos el access_token y access_token_secret.
	// En este caso los sacamos de la variable de sesión.
	$access_token = $_SESSION['access_token'];
	$access_token_secret = $_SESSION['access_token_secret'];

	// Comenzamos a hacer una petición API.
	$conexion = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $access_token, $access_token_secret);
	$content = $conexion->get("account/verify_credentials");

	// Referencia de la API de Twitter: https://dev.twitter.com/rest/reference/get/statuses/user_timeline
	$mensajesEstado = $conexion->get("statuses/user_timeline", array("count" => 25, "exclude_replies" => true));

	//print_r($mensajesEstado);

	echo "<h1>TimeLine en Twitter de \"{$_SESSION['usuario_twitter']}\"</h1>";

	echo '<ul>';
	for ($i=0;$i<count($mensajesEstado);$i++)
	{
		echo '<li>'.$mensajesEstado[$i]->text."</li>";
	}
	echo '</ul>';
}